Skip to content

Delete a state

DELETE/api/v1/workspaces/{workspace_slug}/projects/{project_id}/states/{state_id}/

Permanently remove a workflow state from a project. Default states and states with existing work items cannot be deleted.

Path Parameters

project_id:requiredstring

The unique identifier of the project.

workspace_slug:requiredstring

The workspace_slug represents the unique workspace identifier for a workspace in Plane. It can be found in the URL. For example, in the URL https://app.plane.so/my-team/projects/, the workspace slug is my-team.

state_id:requiredstring

The unique identifier of the state.

Scopes

projects.states:write

Delete a state
bash
curl -X DELETE \
  "https://api.plane.so/api/v1/workspaces/my-workspace/projects/project-uuid/states/state-uuid/" \
  -H "X-API-Key: $PLANE_API_KEY" \
  # Or use -H "Authorization: Bearer $PLANE_OAUTH_TOKEN"
Response204

No response body.